diff --git a/src/corelib/time/qtimezoneprivate_data_p.h b/src/corelib/time/qtimezoneprivate_data_p.h
index 6d2bbc83c1..ccf2234540 100644
--- a/src/corelib/time/qtimezoneprivate_data_p.h
+++ b/src/corelib/time/qtimezoneprivate_data_p.h
@@ -187,236 +187,235 @@ static const QZoneData zoneDataTable[] = {
     {     28,   127,  1359 }, // Central European Standard Time / Macedonia
     {     28,   172,  1373 }, // Central European Standard Time / Poland
     {     29,     0,  1387 }, // Central Pacific Standard Time / AnyCountry
-    {     29,    13,  1398 }, // Central Pacific Standard Time / Australia
-    {     29,   140,  1419 }, // Central Pacific Standard Time / Micronesia
-    {     29,   153,  1449 }, // Central Pacific Standard Time / New Caledonia
-    {     29,   193,  1464 }, // Central Pacific Standard Time / Solomon Islands
-    {     29,   229,  1484 }, // Central Pacific Standard Time / Vanuatu
-    {     30,   139,  1498 }, // Central Standard Time (Mexico) / Mexico
-    {     31,     0,  1574 }, // Central Standard Time / AnyCountry
-    {     31,    38,  1582 }, // Central Standard Time / Canada
-    {     31,   139,  1657 }, // Central Standard Time / Mexico
-    {     31,   225,  1675 }, // Central Standard Time / United States
-    {     32,    44,  1843 }, // China Standard Time / China
-    {     32,    97,  1857 }, // China Standard Time / Hong Kong
-    {     32,   126,  1872 }, // China Standard Time / Macau
-    {     33,   154,  1883 }, // Chatham Islands Standard Time / New Zealand
-    {     34,    55,  1899 }, // Cuba Standard Time / Cuba
-    {     35,     0,  1914 }, // Dateline Standard Time / AnyCountry
-    {     36,     0,  1925 }, // E. Africa Standard Time / AnyCountry
-    {     36,     8,  1935 }, // E. Africa Standard Time / Antarctica
-    {     36,    48,  1952 }, // E. Africa Standard Time / Comoros
-    {     36,    59,  1966 }, // E. Africa Standard Time / Djibouti
-    {     36,    67,  1982 }, // E. Africa Standard Time / Eritrea
-    {     36,    69,  1996 }, // E. Africa Standard Time / Ethiopia
-    {     36,   111,  2015 }, // E. Africa Standard Time / Kenya
-    {     36,   128,  2030 }, // E. Africa Standard Time / Madagascar
-    {     36,   138,  2050 }, // E. Africa Standard Time / Mayotte
-    {     36,   194,  2065 }, // E. Africa Standard Time / Somalia
-    {     36,   210,  2082 }, // E. Africa Standard Time / Tanzania
-    {     36,   221,  2103 }, // E. Africa Standard Time / Uganda
-    {     36,   254,  2118 }, // E. Africa Standard Time / South Sudan
-    {     37,    13,  2130 }, // E. Australia Standard Time / Australia
-    {     38,   141,  2168 }, // E. Europe Standard Time / Moldova
-    {     39,    30,  2184 }, // E. South America Standard Time / Brazil
-    {     40,    43,  2202 }, // Easter Island Standard Time / Chile
-    {     41,     0,  2217 }, // Eastern Standard Time / AnyCountry
-    {     41,    16,  2225 }, // Eastern Standard Time / Bahamas
-    {     41,    38,  2240 }, // Eastern Standard Time / Canada
-    {     41,   225,  2345 }, // Eastern Standard Time / United States
-    {     42,   139,  2502 }, // Eastern Standard Time (Mexico) / Mexico
-    {     43,    64,  2517 }, // Egypt Standard Time / Egypt
-    {     44,   178,  2530 }, // Ekaterinburg Standard Time / Russia
-    {     45,    72,  2549 }, // Fiji Standard Time / Fiji
-    {     46,    33,  2562 }, // FLE Standard Time / Bulgaria
-    {     46,    68,  2575 }, // FLE Standard Time / Estonia
-    {     46,    73,  2590 }, // FLE Standard Time / Finland
-    {     46,   118,  2606 }, // FLE Standard Time / Latvia
-    {     46,   124,  2618 }, // FLE Standard Time / Lithuania
-    {     46,   222,  2633 }, // FLE Standard Time / Ukraine
-    {     46,   248,  2679 }, // FLE Standard Time / Aland Islands
-    {     47,    81,  2696 }, // Georgian Standard Time / Georgia
-    {     48,    71,  2709 }, // GMT Standard Time / Faroe Islands
-    {     48,    75,  2725 }, // GMT Standard Time / Guernsey
-    {     48,   104,  2741 }, // GMT Standard Time / Ireland
-    {     48,   173,  2755 }, // GMT Standard Time / Portugal
-    {     48,   197,  2786 }, // GMT Standard Time / Spain
-    {     48,   224,  2802 }, // GMT Standard Time / United Kingdom
-    {     48,   251,  2816 }, // GMT Standard Time / Isle Of Man
-    {     48,   252,  2835 }, // GMT Standard Time / Jersey
-    {     49,    86,  2849 }, // Greenland Standard Time / Greenland
-    {     50,    34,  2865 }, // Greenwich Standard Time / Burkina Faso
-    {     50,    53,  2884 }, // Greenwich Standard Time / Ivory Coast
-    {     50,    80,  2899 }, // Greenwich Standard Time / Gambia
-    {     50,    83,  2913 }, // Greenwich Standard Time / Ghana
-    {     50,    91,  2926 }, // Greenwich Standard Time / Guinea
-    {     50,    92,  2941 }, // Greenwich Standard Time / Guinea Bissau
-    {     50,    99,  2955 }, // Greenwich Standard Time / Iceland
-    {     50,   121,  2974 }, // Greenwich Standard Time / Liberia
-    {     50,   132,  2990 }, // Greenwich Standard Time / Mali
-    {     50,   136,  3004 }, // Greenwich Standard Time / Mauritania
-    {     50,   187,  3022 }, // Greenwich Standard Time / Senegal
-    {     50,   189,  3035 }, // Greenwich Standard Time / Sierra Leone
-    {     50,   199,  3051 }, // Greenwich Standard Time / Saint Helena
-    {     50,   212,  3070 }, // Greenwich Standard Time / Togo
-    {     51,    56,  3082 }, // GTB Standard Time / Cyprus
-    {     51,    85,  3110 }, // GTB Standard Time / Greece
-    {     51,   177,  3124 }, // GTB Standard Time / Romania
-    {     52,    94,  3141 }, // Haiti Standard Time / Haiti
-    {     53,     0,  3164 }, // Hawaiian Standard Time / AnyCountry
-    {     53,    51,  3175 }, // Hawaiian Standard Time / Cook Islands
-    {     53,    77,  3193 }, // Hawaiian Standard Time / French Polynesia
-    {     53,   225,  3208 }, // Hawaiian Standard Time / United States
-    {     53,   226,  3225 }, // Hawaiian Standard Time / United States Minor Outlying Islands
-    {     54,   100,  3242 }, // India Standard Time / India
-    {     55,   102,  3256 }, // Iran Standard Time / Iran
-    {     56,   105,  3268 }, // Israel Standard Time / Israel
-    {     57,   109,  3283 }, // Jordan Standard Time / Jordan
-    {     58,   178,  3294 }, // Kaliningrad Standard Time / Russia
-    {     59,   114,  3313 }, // Korea Standard Time / South Korea
-    {     60,   122,  3324 }, // Libya Standard Time / Libya
-    {     61,     0,  3339 }, // Line Islands Standard Time / AnyCountry
-    {     61,   112,  3350 }, // Line Islands Standard Time / Kiribati
-    {     62,    13,  3369 }, // Lord Howe Standard Time / Australia
-    {     63,   178,  3389 }, // Magadan Standard Time / Russia
-    {     64,    43,  3402 }, // Magallanes Standard Time / Chile
-    {     65,    77,  3423 }, // Marquesas Standard Time / French Polynesia
-    {     66,   137,  3441 }, // Mauritius Standard Time / Mauritius
-    {     66,   176,  3458 }, // Mauritius Standard Time / Reunion
-    {     66,   188,  3473 }, // Mauritius Standard Time / Seychelles
-    {     67,   119,  3485 }, // Middle East Standard Time / Lebanon
-    {     68,   227,  3497 }, // Montevideo Standard Time / Uruguay
-    {     69,   145,  3516 }, // Morocco Standard Time / Morocco
-    {     69,   236,  3534 }, // Morocco Standard Time / Western Sahara
-    {     70,   139,  3550 }, // Mountain Standard Time (Mexico) / Mexico
-    {     71,     0,  3585 }, // Mountain Standard Time / AnyCountry
-    {     71,    38,  3593 }, // Mountain Standard Time / Canada
-    {     71,   139,  3667 }, // Mountain Standard Time / Mexico
-    {     71,   225,  3683 }, // Mountain Standard Time / United States
-    {     72,    46,  3712 }, // Myanmar Standard Time / Cocos Islands
-    {     72,   147,  3725 }, // Myanmar Standard Time / Myanmar
-    {     73,   178,  3738 }, // N. Central Asia Standard Time / Russia
-    {     74,   148,  3755 }, // Namibia Standard Time / Namibia
-    {     75,   150,  3771 }, // Nepal Standard Time / Nepal
-    {     76,     8,  3785 }, // New Zealand Standard Time / Antarctica
-    {     76,   154,  3804 }, // New Zealand Standard Time / New Zealand
-    {     77,    38,  3821 }, // Newfoundland Standard Time / Canada
-    {     78,   159,  3838 }, // Norfolk Standard Time / Norfolk Island
-    {     79,   178,  3854 }, // North Asia East Standard Time / Russia
-    {     80,   178,  3867 }, // North Asia Standard Time / Russia
-    {     81,   113,  3902 }, // North Korea Standard Time / North Korea
-    {     82,   178,  3917 }, // Omsk Standard Time / Russia
-    {     83,    43,  3927 }, // Pacific SA Standard Time / Chile
-    {     84,     0,  3944 }, // Pacific Standard Time / AnyCountry
-    {     84,    38,  3952 }, // Pacific Standard Time / Canada
-    {     84,   225,  4004 }, // Pacific Standard Time / United States
-    {     85,   139,  4024 }, // Pacific Standard Time (Mexico) / Mexico
-    {     86,   163,  4061 }, // Pakistan Standard Time / Pakistan
-    {     87,   168,  4074 }, // Paraguay Standard Time / Paraguay
-    {     88,   110,  4091 }, // Qyzylorda Standard Time / Kazakhstan
-    {     89,    21,  4106 }, // Romance Standard Time / Belgium
-    {     89,    58,  4122 }, // Romance Standard Time / Denmark
-    {     89,    74,  4140 }, // Romance Standard Time / France
-    {     89,   197,  4153 }, // Romance Standard Time / Spain
-    {     90,   178,  4180 }, // Russia Time Zone 3 / Russia
-    {     91,   178,  4194 }, // Russia Time Zone 10 / Russia
-    {     92,   178,  4213 }, // Russia Time Zone 11 / Russia
-    {     93,   178,  4240 }, // Russian Standard Time / Russia
-    {     93,   222,  4267 }, // Russian Standard Time / Ukraine
-    {     94,     0,  4285 }, // SA Eastern Standard Time / AnyCountry
-    {     94,     8,  4295 }, // SA Eastern Standard Time / Antarctica
-    {     94,    30,  4332 }, // SA Eastern Standard Time / Brazil
-    {     94,    70,  4411 }, // SA Eastern Standard Time / Falkland Islands
-    {     94,    76,  4428 }, // SA Eastern Standard Time / French Guiana
-    {     94,   202,  4444 }, // SA Eastern Standard Time / Suriname
-    {     95,     0,  4463 }, // SA Pacific Standard Time / AnyCountry
-    {     95,    30,  4473 }, // SA Pacific Standard Time / Brazil
-    {     95,    38,  4509 }, // SA Pacific Standard Time / Canada
-    {     95,    40,  4531 }, // SA Pacific Standard Time / Cayman Islands
-    {     95,    47,  4546 }, // SA Pacific Standard Time / Colombia
-    {     95,    63,  4561 }, // SA Pacific Standard Time / Ecuador
-    {     95,   107,  4579 }, // SA Pacific Standard Time / Jamaica
-    {     95,   166,  4595 }, // SA Pacific Standard Time / Panama
-    {     95,   169,  4610 }, // SA Pacific Standard Time / Peru
-    {     96,     0,  4623 }, // SA Western Standard Time / AnyCountry
-    {     96,     7,  4633 }, // SA Western Standard Time / Anguilla
-    {     96,     9,  4650 }, // SA Western Standard Time / Antigua And Barbuda
-    {     96,    12,  4666 }, // SA Western Standard Time / Aruba
-    {     96,    19,  4680 }, // SA Western Standard Time / Barbados
-    {     96,    26,  4697 }, // SA Western Standard Time / Bolivia
-    {     96,    30,  4712 }, // SA Western Standard Time / Brazil
-    {     96,    38,  4765 }, // SA Western Standard Time / Canada
-    {     96,    60,  4786 }, // SA Western Standard Time / Dominica
-    {     96,    61,  4803 }, // SA Western Standard Time / Dominican Republic
-    {     96,    87,  4825 }, // SA Western Standard Time / Grenada
-    {     96,    88,  4841 }, // SA Western Standard Time / Guadeloupe
-    {     96,    93,  4860 }, // SA Western Standard Time / Guyana
-    {     96,   135,  4875 }, // SA Western Standard Time / Martinique
-    {     96,   144,  4894 }, // SA Western Standard Time / Montserrat
-    {     96,   152,  4913 }, // SA Western Standard Time / Cura Sao
-    {     96,   174,  4929 }, // SA Western Standard Time / Puerto Rico
-    {     96,   180,  4949 }, // SA Western Standard Time / Saint Kitts And Nevis
-    {     96,   181,  4966 }, // SA Western Standard Time / Saint Lucia
-    {     96,   182,  4983 }, // SA Western Standard Time / Saint Vincent And The Grenadines
-    {     96,   215,  5002 }, // SA Western Standard Time / Trinidad And Tobago
-    {     96,   233,  5024 }, // SA Western Standard Time / British Virgin Islands
-    {     96,   234,  5040 }, // SA Western Standard Time / United States Virgin Islands
-    {     96,   244,  5058 }, // SA Western Standard Time / Saint Barthelemy
-    {     96,   245,  5080 }, // SA Western Standard Time / Saint Martin
-    {     96,   255,  5096 }, // SA Western Standard Time / Bonaire
-    {     96,   256,  5115 }, // SA Western Standard Time / Sint Maarten
-    {     97,   200,  5137 }, // Saint Pierre Standard Time / Saint Pierre And Miquelon
-    {     98,   178,  5154 }, // Sakhalin Standard Time / Russia
-    {     99,   183,  5168 }, // Samoa Standard Time / Samoa
-    {    100,   185,  5181 }, // Sao Tome Standard Time / Sao Tome And Principe
-    {    101,   178,  5197 }, // Saratov Standard Time / Russia
-    {    102,     0,  5212 }, // SE Asia Standard Time / AnyCountry
-    {    102,     8,  5222 }, // SE Asia Standard Time / Antarctica
-    {    102,    36,  5239 }, // SE Asia Standard Time / Cambodia
-    {    102,    45,  5255 }, // SE Asia Standard Time / Christmas Island
-    {    102,   101,  5272 }, // SE Asia Standard Time / Indonesia
-    {    102,   117,  5300 }, // SE Asia Standard Time / Laos
-    {    102,   211,  5315 }, // SE Asia Standard Time / Thailand
-    {    102,   232,  5328 }, // SE Asia Standard Time / Vietnam
-    {    103,     0,  5340 }, // Singapore Standard Time / AnyCountry
-    {    103,     8,  5350 }, // Singapore Standard Time / Antarctica
-    {    103,    32,  5367 }, // Singapore Standard Time / Brunei
-    {    103,   101,  5379 }, // Singapore Standard Time / Indonesia
-    {    103,   130,  5393 }, // Singapore Standard Time / Malaysia
-    {    103,   170,  5424 }, // Singapore Standard Time / Philippines
-    {    103,   190,  5436 }, // Singapore Standard Time / Singapore
-    {    104,     0,  5451 }, // South Africa Standard Time / AnyCountry
-    {    104,    28,  5461 }, // South Africa Standard Time / Botswana
-    {    104,    35,  5477 }, // South Africa Standard Time / Burundi
-    {    104,    49,  5494 }, // South Africa Standard Time / Congo Kinshasa
-    {    104,   120,  5512 }, // South Africa Standard Time / Lesotho
-    {    104,   129,  5526 }, // South Africa Standard Time / Malawi
-    {    104,   146,  5542 }, // South Africa Standard Time / Mozambique
-    {    104,   179,  5556 }, // South Africa Standard Time / Rwanda
-    {    104,   195,  5570 }, // South Africa Standard Time / South Africa
-    {    104,   204,  5590 }, // South Africa Standard Time / Swaziland
-    {    104,   239,  5605 }, // South Africa Standard Time / Zambia
-    {    104,   240,  5619 }, // South Africa Standard Time / Zimbabwe
-    {    105,   198,  5633 }, // Sri Lanka Standard Time / Sri Lanka
-    {    106,   201,  5646 }, // Sudan Standard Time / Sudan
-    {    107,   207,  5662 }, // Syria Standard Time / Syria
-    {    108,   208,  5676 }, // Taipei Standard Time / Taiwan
-    {    109,    13,  5688 }, // Tasmania Standard Time / Australia
-    {    110,    30,  5722 }, // Tocantins Standard Time / Brazil
-    {    111,     0,  5740 }, // Tokyo Standard Time / AnyCountry
-    {    111,    62,  5750 }, // Tokyo Standard Time / East Timor
-    {    111,   101,  5760 }, // Tokyo Standard Time / Indonesia
-    {    111,   108,  5774 }, // Tokyo Standard Time / Japan
-    {    111,   164,  5785 }, // Tokyo Standard Time / Palau
-    {    112,   178,  5799 }, // Tomsk Standard Time / Russia
-    {    113,   214,  5810 }, // Tonga Standard Time / Tonga
-    {    114,   178,  5828 }, // Transbaikal Standard Time / Russia
-    {    115,   217,  5839 }, // Turkey Standard Time / Turkey
-    {    116,   219,  5855 }, // Turks And Caicos Standard Time / Turks And Caicos Islands
-    {    117,   143,  5874 }, // Ulaanbaatar Standard Time / Mongolia
-    {    118,   225,  5907 }, // US Eastern Standard Time / United States
-    {    119,     0,  5974 }, // US Mountain Standard Time / AnyCountry
-    {    119,    38,  5984 }, // US Mountain Standard Time / Canada
+    {     29,     8,  1398 }, // Central Pacific Standard Time / Antarctica
+    {     29,   140,  1415 }, // Central Pacific Standard Time / Micronesia
+    {     29,   153,  1445 }, // Central Pacific Standard Time / New Caledonia
+    {     29,   193,  1460 }, // Central Pacific Standard Time / Solomon Islands
+    {     29,   229,  1480 }, // Central Pacific Standard Time / Vanuatu
+    {     30,   139,  1494 }, // Central Standard Time (Mexico) / Mexico
+    {     31,     0,  1570 }, // Central Standard Time / AnyCountry
+    {     31,    38,  1578 }, // Central Standard Time / Canada
+    {     31,   139,  1653 }, // Central Standard Time / Mexico
+    {     31,   225,  1671 }, // Central Standard Time / United States
+    {     32,    44,  1839 }, // China Standard Time / China
+    {     32,    97,  1853 }, // China Standard Time / Hong Kong
+    {     32,   126,  1868 }, // China Standard Time / Macau
+    {     33,   154,  1879 }, // Chatham Islands Standard Time / New Zealand
+    {     34,    55,  1895 }, // Cuba Standard Time / Cuba
+    {     35,     0,  1910 }, // Dateline Standard Time / AnyCountry
+    {     36,     0,  1921 }, // E. Africa Standard Time / AnyCountry
+    {     36,     8,  1931 }, // E. Africa Standard Time / Antarctica
+    {     36,    48,  1948 }, // E. Africa Standard Time / Comoros
+    {     36,    59,  1962 }, // E. Africa Standard Time / Djibouti
+    {     36,    67,  1978 }, // E. Africa Standard Time / Eritrea
+    {     36,    69,  1992 }, // E. Africa Standard Time / Ethiopia
+    {     36,   111,  2011 }, // E. Africa Standard Time / Kenya
+    {     36,   128,  2026 }, // E. Africa Standard Time / Madagascar
+    {     36,   138,  2046 }, // E. Africa Standard Time / Mayotte
+    {     36,   194,  2061 }, // E. Africa Standard Time / Somalia
+    {     36,   210,  2078 }, // E. Africa Standard Time / Tanzania
+    {     36,   221,  2099 }, // E. Africa Standard Time / Uganda
+    {     36,   254,  2114 }, // E. Africa Standard Time / South Sudan
+    {     37,    13,  2126 }, // E. Australia Standard Time / Australia
+    {     38,   141,  2164 }, // E. Europe Standard Time / Moldova
+    {     39,    30,  2180 }, // E. South America Standard Time / Brazil
+    {     40,    43,  2198 }, // Easter Island Standard Time / Chile
+    {     41,     0,  2213 }, // Eastern Standard Time / AnyCountry
+    {     41,    16,  2221 }, // Eastern Standard Time / Bahamas
+    {     41,    38,  2236 }, // Eastern Standard Time / Canada
+    {     41,   225,  2341 }, // Eastern Standard Time / United States
+    {     42,   139,  2498 }, // Eastern Standard Time (Mexico) / Mexico
+    {     43,    64,  2513 }, // Egypt Standard Time / Egypt
+    {     44,   178,  2526 }, // Ekaterinburg Standard Time / Russia
+    {     45,    72,  2545 }, // Fiji Standard Time / Fiji
+    {     46,    33,  2558 }, // FLE Standard Time / Bulgaria
+    {     46,    68,  2571 }, // FLE Standard Time / Estonia
+    {     46,    73,  2586 }, // FLE Standard Time / Finland
+    {     46,   118,  2602 }, // FLE Standard Time / Latvia
+    {     46,   124,  2614 }, // FLE Standard Time / Lithuania
+    {     46,   222,  2629 }, // FLE Standard Time / Ukraine
+    {     46,   248,  2675 }, // FLE Standard Time / Aland Islands
+    {     47,    81,  2692 }, // Georgian Standard Time / Georgia
+    {     48,    71,  2705 }, // GMT Standard Time / Faroe Islands
+    {     48,    75,  2721 }, // GMT Standard Time / Guernsey
+    {     48,   104,  2737 }, // GMT Standard Time / Ireland
+    {     48,   173,  2751 }, // GMT Standard Time / Portugal
+    {     48,   197,  2782 }, // GMT Standard Time / Spain
+    {     48,   224,  2798 }, // GMT Standard Time / United Kingdom
+    {     48,   251,  2812 }, // GMT Standard Time / Isle Of Man
+    {     48,   252,  2831 }, // GMT Standard Time / Jersey
+    {     49,    86,  2845 }, // Greenland Standard Time / Greenland
+    {     50,    34,  2861 }, // Greenwich Standard Time / Burkina Faso
+    {     50,    53,  2880 }, // Greenwich Standard Time / Ivory Coast
+    {     50,    80,  2895 }, // Greenwich Standard Time / Gambia
+    {     50,    83,  2909 }, // Greenwich Standard Time / Ghana
+    {     50,    91,  2922 }, // Greenwich Standard Time / Guinea
+    {     50,    92,  2937 }, // Greenwich Standard Time / Guinea Bissau
+    {     50,    99,  2951 }, // Greenwich Standard Time / Iceland
+    {     50,   121,  2970 }, // Greenwich Standard Time / Liberia
+    {     50,   132,  2986 }, // Greenwich Standard Time / Mali
+    {     50,   136,  3000 }, // Greenwich Standard Time / Mauritania
+    {     50,   187,  3018 }, // Greenwich Standard Time / Senegal
+    {     50,   189,  3031 }, // Greenwich Standard Time / Sierra Leone
+    {     50,   199,  3047 }, // Greenwich Standard Time / Saint Helena
+    {     50,   212,  3066 }, // Greenwich Standard Time / Togo
+    {     51,    56,  3078 }, // GTB Standard Time / Cyprus
+    {     51,    85,  3106 }, // GTB Standard Time / Greece
+    {     51,   177,  3120 }, // GTB Standard Time / Romania
+    {     52,    94,  3137 }, // Haiti Standard Time / Haiti
+    {     53,     0,  3160 }, // Hawaiian Standard Time / AnyCountry
+    {     53,    51,  3171 }, // Hawaiian Standard Time / Cook Islands
+    {     53,    77,  3189 }, // Hawaiian Standard Time / French Polynesia
+    {     53,   225,  3204 }, // Hawaiian Standard Time / United States
+    {     53,   226,  3221 }, // Hawaiian Standard Time / United States Minor Outlying Islands
+    {     54,   100,  3238 }, // India Standard Time / India
+    {     55,   102,  3252 }, // Iran Standard Time / Iran
+    {     56,   105,  3264 }, // Israel Standard Time / Israel
+    {     57,   109,  3279 }, // Jordan Standard Time / Jordan
+    {     58,   178,  3290 }, // Kaliningrad Standard Time / Russia
+    {     59,   114,  3309 }, // Korea Standard Time / South Korea
+    {     60,   122,  3320 }, // Libya Standard Time / Libya
+    {     61,     0,  3335 }, // Line Islands Standard Time / AnyCountry
+    {     61,   112,  3346 }, // Line Islands Standard Time / Kiribati
+    {     62,    13,  3365 }, // Lord Howe Standard Time / Australia
+    {     63,   178,  3385 }, // Magadan Standard Time / Russia
+    {     64,    43,  3398 }, // Magallanes Standard Time / Chile
+    {     65,    77,  3419 }, // Marquesas Standard Time / French Polynesia
+    {     66,   137,  3437 }, // Mauritius Standard Time / Mauritius
+    {     66,   176,  3454 }, // Mauritius Standard Time / Reunion
+    {     66,   188,  3469 }, // Mauritius Standard Time / Seychelles
+    {     67,   119,  3481 }, // Middle East Standard Time / Lebanon
+    {     68,   227,  3493 }, // Montevideo Standard Time / Uruguay
+    {     69,   145,  3512 }, // Morocco Standard Time / Morocco
+    {     69,   236,  3530 }, // Morocco Standard Time / Western Sahara
+    {     70,   139,  3546 }, // Mountain Standard Time (Mexico) / Mexico
+    {     71,     0,  3581 }, // Mountain Standard Time / AnyCountry
+    {     71,    38,  3589 }, // Mountain Standard Time / Canada
+    {     71,   139,  3663 }, // Mountain Standard Time / Mexico
+    {     71,   225,  3679 }, // Mountain Standard Time / United States
+    {     72,    46,  3708 }, // Myanmar Standard Time / Cocos Islands
+    {     72,   147,  3721 }, // Myanmar Standard Time / Myanmar
+    {     73,   178,  3734 }, // N. Central Asia Standard Time / Russia
+    {     74,   148,  3751 }, // Namibia Standard Time / Namibia
+    {     75,   150,  3767 }, // Nepal Standard Time / Nepal
+    {     76,     8,  3781 }, // New Zealand Standard Time / Antarctica
+    {     76,   154,  3800 }, // New Zealand Standard Time / New Zealand
+    {     77,    38,  3817 }, // Newfoundland Standard Time / Canada
+    {     78,   159,  3834 }, // Norfolk Standard Time / Norfolk Island
+    {     79,   178,  3850 }, // North Asia East Standard Time / Russia
+    {     80,   178,  3863 }, // North Asia Standard Time / Russia
+    {     81,   113,  3898 }, // North Korea Standard Time / North Korea
+    {     82,   178,  3913 }, // Omsk Standard Time / Russia
+    {     83,    43,  3923 }, // Pacific SA Standard Time / Chile
+    {     84,     0,  3940 }, // Pacific Standard Time / AnyCountry
+    {     84,    38,  3948 }, // Pacific Standard Time / Canada
+    {     84,   225,  3966 }, // Pacific Standard Time / United States
+    {     85,   139,  3986 }, // Pacific Standard Time (Mexico) / Mexico
+    {     86,   163,  4023 }, // Pakistan Standard Time / Pakistan
+    {     87,   168,  4036 }, // Paraguay Standard Time / Paraguay
+    {     88,   110,  4053 }, // Qyzylorda Standard Time / Kazakhstan
+    {     89,    21,  4068 }, // Romance Standard Time / Belgium
+    {     89,    58,  4084 }, // Romance Standard Time / Denmark
+    {     89,    74,  4102 }, // Romance Standard Time / France
+    {     89,   197,  4115 }, // Romance Standard Time / Spain
+    {     90,   178,  4142 }, // Russia Time Zone 3 / Russia
+    {     91,   178,  4156 }, // Russia Time Zone 10 / Russia
+    {     92,   178,  4175 }, // Russia Time Zone 11 / Russia
+    {     93,   178,  4202 }, // Russian Standard Time / Russia
+    {     93,   222,  4229 }, // Russian Standard Time / Ukraine
+    {     94,     0,  4247 }, // SA Eastern Standard Time / AnyCountry
+    {     94,     8,  4257 }, // SA Eastern Standard Time / Antarctica
+    {     94,    30,  4294 }, // SA Eastern Standard Time / Brazil
+    {     94,    70,  4373 }, // SA Eastern Standard Time / Falkland Islands
+    {     94,    76,  4390 }, // SA Eastern Standard Time / French Guiana
+    {     94,   202,  4406 }, // SA Eastern Standard Time / Suriname
+    {     95,     0,  4425 }, // SA Pacific Standard Time / AnyCountry
+    {     95,    30,  4435 }, // SA Pacific Standard Time / Brazil
+    {     95,    38,  4471 }, // SA Pacific Standard Time / Canada
+    {     95,    40,  4493 }, // SA Pacific Standard Time / Cayman Islands
+    {     95,    47,  4508 }, // SA Pacific Standard Time / Colombia
+    {     95,    63,  4523 }, // SA Pacific Standard Time / Ecuador
+    {     95,   107,  4541 }, // SA Pacific Standard Time / Jamaica
+    {     95,   166,  4557 }, // SA Pacific Standard Time / Panama
+    {     95,   169,  4572 }, // SA Pacific Standard Time / Peru
+    {     96,     0,  4585 }, // SA Western Standard Time / AnyCountry
+    {     96,     7,  4595 }, // SA Western Standard Time / Anguilla
+    {     96,     9,  4612 }, // SA Western Standard Time / Antigua And Barbuda
+    {     96,    12,  4628 }, // SA Western Standard Time / Aruba
+    {     96,    19,  4642 }, // SA Western Standard Time / Barbados
+    {     96,    26,  4659 }, // SA Western Standard Time / Bolivia
+    {     96,    30,  4674 }, // SA Western Standard Time / Brazil
+    {     96,    38,  4727 }, // SA Western Standard Time / Canada
+    {     96,    60,  4748 }, // SA Western Standard Time / Dominica
+    {     96,    61,  4765 }, // SA Western Standard Time / Dominican Republic
+    {     96,    87,  4787 }, // SA Western Standard Time / Grenada
+    {     96,    88,  4803 }, // SA Western Standard Time / Guadeloupe
+    {     96,    93,  4822 }, // SA Western Standard Time / Guyana
+    {     96,   135,  4837 }, // SA Western Standard Time / Martinique
+    {     96,   144,  4856 }, // SA Western Standard Time / Montserrat
+    {     96,   152,  4875 }, // SA Western Standard Time / Cura Sao
+    {     96,   174,  4891 }, // SA Western Standard Time / Puerto Rico
+    {     96,   180,  4911 }, // SA Western Standard Time / Saint Kitts And Nevis
+    {     96,   181,  4928 }, // SA Western Standard Time / Saint Lucia
+    {     96,   182,  4945 }, // SA Western Standard Time / Saint Vincent And The Grenadines
+    {     96,   215,  4964 }, // SA Western Standard Time / Trinidad And Tobago
+    {     96,   233,  4986 }, // SA Western Standard Time / British Virgin Islands
+    {     96,   234,  5002 }, // SA Western Standard Time / United States Virgin Islands
+    {     96,   244,  5020 }, // SA Western Standard Time / Saint Barthelemy
+    {     96,   245,  5042 }, // SA Western Standard Time / Saint Martin
+    {     96,   255,  5058 }, // SA Western Standard Time / Bonaire
+    {     96,   256,  5077 }, // SA Western Standard Time / Sint Maarten
+    {     97,   200,  5099 }, // Saint Pierre Standard Time / Saint Pierre And Miquelon
+    {     98,   178,  5116 }, // Sakhalin Standard Time / Russia
+    {     99,   183,  5130 }, // Samoa Standard Time / Samoa
+    {    100,   185,  5143 }, // Sao Tome Standard Time / Sao Tome And Principe
+    {    101,   178,  5159 }, // Saratov Standard Time / Russia
+    {    102,     0,  5174 }, // SE Asia Standard Time / AnyCountry
+    {    102,     8,  5184 }, // SE Asia Standard Time / Antarctica
+    {    102,    36,  5201 }, // SE Asia Standard Time / Cambodia
+    {    102,    45,  5217 }, // SE Asia Standard Time / Christmas Island
+    {    102,   101,  5234 }, // SE Asia Standard Time / Indonesia
+    {    102,   117,  5262 }, // SE Asia Standard Time / Laos
+    {    102,   211,  5277 }, // SE Asia Standard Time / Thailand
+    {    102,   232,  5290 }, // SE Asia Standard Time / Vietnam
+    {    103,     0,  5302 }, // Singapore Standard Time / AnyCountry
+    {    103,    32,  5312 }, // Singapore Standard Time / Brunei
+    {    103,   101,  5324 }, // Singapore Standard Time / Indonesia
+    {    103,   130,  5338 }, // Singapore Standard Time / Malaysia
+    {    103,   170,  5369 }, // Singapore Standard Time / Philippines
+    {    103,   190,  5381 }, // Singapore Standard Time / Singapore
+    {    104,     0,  5396 }, // South Africa Standard Time / AnyCountry
+    {    104,    28,  5406 }, // South Africa Standard Time / Botswana
+    {    104,    35,  5422 }, // South Africa Standard Time / Burundi
+    {    104,    49,  5439 }, // South Africa Standard Time / Congo Kinshasa
+    {    104,   120,  5457 }, // South Africa Standard Time / Lesotho
+    {    104,   129,  5471 }, // South Africa Standard Time / Malawi
+    {    104,   146,  5487 }, // South Africa Standard Time / Mozambique
+    {    104,   179,  5501 }, // South Africa Standard Time / Rwanda
+    {    104,   195,  5515 }, // South Africa Standard Time / South Africa
+    {    104,   204,  5535 }, // South Africa Standard Time / Swaziland
+    {    104,   239,  5550 }, // South Africa Standard Time / Zambia
+    {    104,   240,  5564 }, // South Africa Standard Time / Zimbabwe
+    {    105,   198,  5578 }, // Sri Lanka Standard Time / Sri Lanka
+    {    106,   201,  5591 }, // Sudan Standard Time / Sudan
+    {    107,   207,  5607 }, // Syria Standard Time / Syria
+    {    108,   208,  5621 }, // Taipei Standard Time / Taiwan
+    {    109,    13,  5633 }, // Tasmania Standard Time / Australia
+    {    110,    30,  5688 }, // Tocantins Standard Time / Brazil
+    {    111,     0,  5706 }, // Tokyo Standard Time / AnyCountry
+    {    111,    62,  5716 }, // Tokyo Standard Time / East Timor
+    {    111,   101,  5726 }, // Tokyo Standard Time / Indonesia
+    {    111,   108,  5740 }, // Tokyo Standard Time / Japan
+    {    111,   164,  5751 }, // Tokyo Standard Time / Palau
+    {    112,   178,  5765 }, // Tomsk Standard Time / Russia
+    {    113,   214,  5776 }, // Tonga Standard Time / Tonga
+    {    114,   178,  5794 }, // Transbaikal Standard Time / Russia
+    {    115,   217,  5805 }, // Turkey Standard Time / Turkey
+    {    116,   219,  5821 }, // Turks And Caicos Standard Time / Turks And Caicos Islands
+    {    117,   143,  5840 }, // Ulaanbaatar Standard Time / Mongolia
+    {    118,   225,  5873 }, // US Eastern Standard Time / United States
+    {    119,     0,  5940 }, // US Mountain Standard Time / AnyCountry
+    {    119,    38,  5950 }, // US Mountain Standard Time / Canada
     {    119,   139,  6041 }, // US Mountain Standard Time / Mexico
     {    119,   225,  6060 }, // US Mountain Standard Time / United States
     {    120,     0,  6076 }, // UTC-11 / AnyCountry
